Subject: Re: bug#42424: 27.0.90; replace-match: point is NOT left at the end of replacement

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Jul 2021 17:20:16 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 31 Jul 2021 16:03:44 +0200
> 
> The hook is called from update_compositions, isn't it?  Are there any
> caveats to using that?

No, the hooks are called from signal_after_change, AFAICT.

And I'm probably missing something, because I don't understand how
calling the hooks from replace-match would help: replace_range is
called just once from replace-match, and the hooks are invoked at its
very end.  What am I missing?